wxWidgets: wxPropertyGridManager Class Reference

| Version: 3.2.5

Public Member Functions | Protected Member Functions | List of all members
wxPropertyGridManager Class Reference
Class List by Category » wxPropertyGrid

`#include <wx/propgrid/manager.h>`

Inheritance diagram for wxPropertyGridManager:
[legend]

## Detailed Description

wxPropertyGridManager is an efficient multi-page version of wxPropertyGrid, which can optionally have toolbar for mode and page selection, a help text box, and a header.

wxPropertyGridManager inherits from wxPropertyGridInterface, and as such it has most property manipulation functions. However, only some of them affect properties on all pages (e.g. GetPropertyByName() and ExpandAll()), while some (e.g. Append()) only apply to the currently selected page.

To operate explicitly on properties on specific page, use wxPropertyGridManager::GetPage() to obtain pointer to page's wxPropertyGridPage object.

Visual methods, such as SetCellBackgroundColour() are only available in wxPropertyGrid. Use wxPropertyGridManager::GetGrid() to obtain pointer to it.

Non-virtual iterators will not work in wxPropertyGridManager. Instead, you must acquire the internal grid (GetGrid()) or wxPropertyGridPage object (GetPage()).

wxPropertyGridManager constructor has exact same format as wxPropertyGrid constructor, and basically accepts same extra window style flags (albeit also has some extra ones).

Here's some example code for creating and populating a wxPropertyGridManager:

wxPropertyGridManager* pgMan = new wxPropertyGridManager(this, PGID,
wxDefaultPosition, wxDefaultSize,
// These and other similar styles are automatically
// passed to the embedded wxPropertyGrid.
wxPG_BOLD_MODIFIED|wxPG_SPLITTER_AUTO_CENTER|
// Include toolbar.
wxPG_TOOLBAR |
// Include description box.
wxPG_DESCRIPTION |
// Include compactor.
wxPG_COMPACTOR |
// Plus defaults.
wxPGMAN_DEFAULT_STYLE
);
wxPropertyGridPage* page;
page = pgMan->AddPage("First Page");
page->Append( new wxPropertyCategory("Category A1") );
page->Append( new wxIntProperty("Number",wxPG_LABEL,1) );
page->Append( new wxColourProperty("Colour",wxPG_LABEL,*wxWHITE) );
page = pgMan->AddPage("Second Page");
page->Append( "Text",wxPG_LABEL,"(no text)" );
page->Append( new wxFontProperty("Font",wxPG_LABEL) );
// Display a header above the grid
pgMan->ShowHeader();
wxColourProperty
Allows to select a colour from the list or with colour dialog.
Definition: advprops.h:186
wxFontProperty
Property representing wxFont.
Definition: advprops.h:73
wxIntProperty
Basic property with integer value.
Definition: props.h:210
wxPropertyCategory
Category (caption) property.
Definition: property.h:2945
wxPropertyGridInterface::Append
wxPGProperty * Append(wxPGProperty *property)
Appends property to the list.
wxPropertyGridManager
wxPropertyGridManager is an efficient multi-page version of wxPropertyGrid, which can optionally have...
Definition: manager.h:214
wxPropertyGridManager::wxPropertyGridManager
wxPropertyGridManager()
Two step constructor.
wxPropertyGridManager::AddPage
wxPropertyGridPage * AddPage(const wxString &label=wxEmptyString, const wxBitmapBundle &bmp=wxBitmapBundle(), wxPropertyGridPage *pageObj=NULL)
Creates new property page.
wxPropertyGridManager::ShowHeader
void ShowHeader(bool show=true)
Show or hide the property grid header control.
wxPropertyGridPage
Holder of property grid page information.
Definition: manager.h:42
wxWHITE
wxColour * wxWHITE
Definition: colour.h:369
wxDefaultSize
const wxSize wxDefaultSize
Global instance of a wxSize object initialized to (-1,-1).
Definition: gdicmn.h:1108
wxDefaultPosition
const wxPoint wxDefaultPosition
Global instance of a wxPoint initialized with values (-1,-1).
Definition: gdicmn.h:782
wxPGMAN_DEFAULT_STYLE
#define wxPGMAN_DEFAULT_STYLE
Combines various styles.
Definition: propgrid.h:263
wxPG_TOOLBAR
@ wxPG_TOOLBAR
wxPropertyGridManager only: Show tool bar for mode and page selection.
Definition: propgrid.h:96
wxPG_SPLITTER_AUTO_CENTER
@ wxPG_SPLITTER_AUTO_CENTER
When wxPropertyGrid is resized, splitter moves to the center.
Definition: propgrid.h:54
wxPG_BOLD_MODIFIED
@ wxPG_BOLD_MODIFIED
Modified values are shown in bold font.
Definition: propgrid.h:47
wxPG_DESCRIPTION
@ wxPG_DESCRIPTION
wxPropertyGridManager only: Show adjustable text box showing description or help text,...
Definition: propgrid.h:103
wxPG_LABEL
#define wxPG_LABEL
Used to tell wxPGProperty to use label as name as well.
Definition: propgriddefs.h:13

# Window Styles

See wxPropertyGrid Window Styles.

# Event Handling

See wxPropertyGrid Event Handling for more information.

##

Library: wxPropertyGrid
Category: wxPropertyGrid

## Public Member Functions
| wxPropertyGridManager ()
| Two step constructor. More...
| wxPropertyGridManager (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxPGMAN_DEFAULT_STYLE, const wxString &name=wxPropertyGridManagerNameStr)
| The default constructor. More...
virtual | ~wxPropertyGridManager ()
| Destructor. More...
wxPropertyGridPage * | AddPage (const wxString &label=wxEmptyString, const wxBitmapBundle &bmp=wxBitmapBundle(), wxPropertyGridPage *pageObj=NULL)
| Creates new property page. More...
virtual void | Clear ()
| Deletes all properties and all pages. More...
void | ClearPage (int page)
| Deletes all properties on given page. More...
bool | CommitChangesFromEditor (wxUint32 flags=0)
| Forces updating the value of property from the editor control. More...
bool | Create (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxPGMAN_DEFAULT_STYLE, const wxString &name=wxPropertyGridManagerNameStr)
| Two step creation. More...
bool | EnableCategories (bool enable)
| Enables or disables (shows/hides) categories according to parameter enable. More...
bool | EnsureVisible (wxPGPropArg id)
| Selects page, scrolls and/or expands items to ensure that the given item is visible. More...
int | GetColumnCount (int page=-1) const
| Returns number of columns on given page. More...
int | GetDescBoxHeight () const
| Returns height of the description text box. More...
wxPropertyGrid * | GetGrid ()
| Returns pointer to the contained wxPropertyGrid. More...
virtual wxPGVIterator | GetVIterator (int flags) const
| Similar to GetIterator(), but instead returns wxPGVIterator instance, which can be useful for forward-iterating through arbitrary property containers. More...
wxPropertyGridPage * | GetCurrentPage () const
| Returns currently selected page. More...
wxPropertyGridPage * | GetPage (unsigned int ind) const
| Returns page object for given page index. More...
wxPropertyGridPage * | GetPage (const wxString &name) const
| Returns page object for given page name. More...
int | GetPageByName (const wxString &name) const
| Returns index for a page name. More...
int | GetPageByState (const wxPropertyGridPageState *pstate) const
| Returns index for a relevant propertygrid state. More...
size_t | GetPageCount () const
| Returns number of managed pages. More...
const wxString & | GetPageName (int index) const
| Returns name of given page. More...
wxPGProperty * | GetPageRoot (int index) const
| Returns "root property" of the given page. More...
int | GetSelectedPage () const
| Returns index to currently selected page. More...
wxPGProperty * | GetSelectedProperty () const
| Alias for GetSelection(). More...
wxPGProperty * | GetSelection () const
| Shortcut for GetGrid()->GetSelection(). More...
wxToolBar * | GetToolBar () const
| Returns a pointer to the toolbar currently associated with the wxPropertyGridManager (if any). More...
virtual wxPropertyGridPage * | InsertPage (int index, const wxString &label, const wxBitmapBundle &bmp=wxBitmapBundle(), wxPropertyGridPage *pageObj=NULL)
| Creates new property page. More...
bool | IsAnyModified () const
| Returns true if any property on any page has been modified by the user. More...
bool | IsPageModified (size_t index) const
| Returns true if any property on given page has been modified by the user. More...
virtual bool | IsPropertySelected (wxPGPropArg id) const
| Returns true if property is selected. More...
virtual bool | RemovePage (int page)
| Removes a page. More...
void | SelectPage (int index)
| Select and displays a given page. More...
void | SelectPage (const wxString &label)
| Select and displays a given page (by label). More...
void | SelectPage (wxPropertyGridPage *page)
| Select and displays a given page. More...
bool | SelectProperty (wxPGPropArg id, bool focus=false)
| Select a property. More...
void | SetColumnCount (int colCount, int page=-1)
| Sets number of columns on given page (default is current page). More...
void | SetColumnTitle (int idx, const wxString &title)
| Sets a column title. More...
void | SetDescription (const wxString &label, const wxString &content)
| Sets label and text in description box. More...
void | SetDescBoxHeight (int ht, bool refresh=true)
| Sets y coordinate of the description box splitter. More...
void | SetSplitterLeft (bool subProps=false, bool allPages=true)
| Moves splitter as left as possible, while still allowing all labels to be shown in full. More...
void | SetPageSplitterLeft (int page, bool subProps=false)
| Moves splitter as left as possible on an individual page, while still allowing all labels to be shown in full. More...
void | SetPageSplitterPosition (int page, int pos, int column=0)
| Sets splitter position on individual page. More...
void | SetSplitterPosition (int pos, int column=0)
| Sets splitter position for all pages. More...
void | ShowHeader (bool show=true)
| Show or hide the property grid header control. More...
Public Member Functions inherited from wxPanel
| wxPanel ()
| Default constructor. More...
| wxPanel (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxTAB_TRAVERSAL, const wxString &name=wxPanelNameStr)
| Constructor. More...
virtual | ~wxPanel ()
| Destructor. More...
bool | AcceptsFocus () const
| This method is overridden from wxWindow::AcceptsFocus() and returns true only if there is no child window in the panel which can accept the focus. More...
bool | Create (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxTAB_TRAVERSAL, const wxString &name=wxPanelNameStr)
| Used for two-step panel construction. More...
virtual void | InitDialog ()
| Sends a wxInitDialogEvent, which in turn transfers data to the dialog via validators. More...
virtual bool | Layout ()
| See wxWindow::SetAutoLayout(): when auto layout is on, this function gets called automatically when the window is resized. More...
void | OnSysColourChanged (wxSysColourChangedEvent &event)
| The default handler for `wxEVT_SYS_COLOUR_CHANGED`. More...
virtual void | SetFocus ()
| Overrides wxWindow::SetFocus(). More...
void | SetFocusIgnoringChildren ()
| In contrast to SetFocus() (see above) this will set the focus to the panel even if there are child windows in the panel. More...
Public Member Functions inherited from wxWindow
| wxWindow ()
| Default constructor. More...
| wxWindow (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxPanelNameStr)
| Constructs a window, which can be a child of a frame, dialog or any other non-control window. More...
virtual | ~wxWindow ()
| Destructor. More...
bool | Create (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxPanelNameStr)
| Construct the actual window object after creating the C++ object. More...
virtual bool | AcceptsFocusFromKeyboard () const
| This method may be overridden in the derived classes to return false to indicate that while this control can, in principle, have focus if the user clicks it with the mouse, it shouldn't be included in the TAB traversal chain when using the keyboard. More...
virtual bool | AcceptsFocusRecursively () const
| Overridden to indicate whether this window or one of its children accepts focus. More...
void | DisableFocusFromKeyboard ()
| Disable giving focus to this window using the keyboard navigation keys. More...
bool | IsFocusable () const
| Can this window itself have focus? More...
bool | CanAcceptFocus () const
| Can this window have focus right now? More...
bool | CanAcceptFocusFromKeyboard () const
| Can this window be assigned focus from keyboard right now? More...
virtual bool | HasFocus () const
| Returns true if the window (or in case of composite controls, its main child window) has focus. More...
virtual void | SetCanFocus (bool canFocus)
| This method is only implemented by ports which have support for native TAB traversal (such as GTK+ 2.0). More...
virtual void | EnableVisibleFocus (bool enable)
| Enables or disables visible indication of keyboard focus. More...
virtual void | SetFocusFromKbd ()
| This function is called by wxWidgets keyboard navigation code when the user gives the focus to this window from keyboard (e.g. using `TAB` key). More...
virtual void | AddChild (wxWindow *child)
| Adds a child window. More...
bool | DestroyChildren ()
| Destroys all children of a window. More...
wxWindow * | FindWindow (long id) const
| Find a child of this window, by id. More...
wxWindow * | FindWindow (const wxString &name) const
| Find a child of this window, by name. More...
wxWindowList & | GetChildren ()
| Returns a reference to the list of the window's children. More...
const wxWindowList & | GetChildren () const
| Returns a const reference to the list of the window's children. More...
virtual void | RemoveChild (wxWindow *child)
| Removes a child window. More...
wxWindow * | GetGrandParent () const
| Returns the grandparent of a window, or NULL if there isn't one. More...
wxWindow * | GetNextSibling () const
| Returns the next window after this one among the parent's children or NULL if this window is the last child. More...
wxWindow * | GetParent () const
| Returns the parent of the window, or NULL if there is no parent. More...
wxWindow * | GetPrevSibling () const
| Returns the previous window before this one among the parent's children or `` NULL if this window is the first child. More...
bool | IsDescendant (wxWindow *win) const
| Check if the specified window is a descendant of this one. More...
virtual bool | Reparent (wxWindow *newParent)
| Reparents the window, i.e. the window will be removed from its current parent window (e.g. More...
virtual void | AlwaysShowScrollbars (bool hflag=true, bool vflag=true)
| Call this function to force one or both scrollbars to be always shown, even if the window is big enough to show its entire contents without scrolling. More...
virtual int | GetScrollPos (int orientation) const
| Returns the built-in scrollbar position. More...
virtual int | GetScrollRange (int orientation) const
| Returns the built-in scrollbar range. More...
virtual int | GetScrollThumb (int orientation) const
| Returns the built-in scrollbar thumb size. More...
bool | CanScroll (int orient) const
| Returns true if this window can have a scroll bar in this orientation. More...
bool | HasScrollbar (int orient) const
| Returns true if this window currently has a scroll bar for this orientation. More...
virtual bool | IsScrollbarAlwaysShown (int orient) const
| Return whether a scrollbar is always shown. More...
virtual bool | ScrollLines (int lines)
| Scrolls the window by the given number of lines down (if lines is positive) or up. More...
virtual bool | ScrollPages (int pages)
| Scrolls the window by the given number of pages down (if pages is positive) or up. More...
virtual void | ScrollWindow (int dx, int dy, const wxRect *rect=NULL)
| Physically scrolls the pixels in the window and move child windows accordingly. More...
bool | LineUp ()
| Same as ScrollLines (-1). More...
bool | LineDown ()
| Same as ScrollLines (1). More...
bool | PageUp ()
| Same as ScrollPages (-1). More...
bool | PageDown ()
| Same as ScrollPages (1). More...
virtual void | SetScrollPos (int orientation, int pos, bool refresh=true)
| Sets the position of one of the built-in scrollbars. More...
virtual void | SetScrollbar (int orientation, int position, int thumbSize, int range, bool refresh=true)
| Sets the scrollbar properties of a built-in scrollbar. More...
void | Center (int dir=wxBOTH)
| A synonym for Centre(). More...
void | CenterOnParent (int dir=wxBOTH)
| A synonym for CentreOnParent(). More...
void | Centre (int direction=wxBOTH)
| Centres the window. More...
void | CentreOnParent (int direction=wxBOTH)
| Centres the window on its parent. More...
void | GetPosition (int *x, int *y) const
| This gets the position of the window in pixels, relative to the parent window for the child windows or relative to the display origin for the top level windows. More...
wxPoint | GetPosition () const
| This gets the position of the window in pixels, relative to the parent window for the child windows or relative to the display origin for the top level windows. More...
wxRect | GetRect () const
| Returns the position and size of the window as a wxRect object. More...
void | GetScreenPosition (int *x, int *y) const
| Returns the window position in screen coordinates, whether the window is a child window or a top level one. More...
wxPoint | GetScreenPosition () const
| Returns the window position in screen coordinates, whether the window is a child window or a top level one. More...
wxRect | GetScreenRect () const
| Returns the position and size of the window on the screen as a wxRect object. More...
virtual wxPoint | GetClientAreaOrigin () const
| Get the origin of the client area of the window relative to the window top left corner (the client area may be shifted because of the borders, scrollbars, other decorations...) More...
wxRect | GetClientRect () const
| Get the client rectangle in window (i.e. client) coordinates. More...
void | Move (int x, int y, int flags=wxSIZE_USE_EXISTING)
| Moves the window to the given position. More...
void | Move (const wxPoint &pt, int flags=wxSIZE_USE_EXISTING)
| Moves the window to the given position. More...
void | SetPosition (const wxPoint &pt)
| Moves the window to the specified position. More...
void | ClientToScreen (int *x, int *y) const
| Converts to screen coordinates from coordinates relative to this window. More...
wxPoint | ClientToScreen (const wxPoint &pt) const
| Converts to screen coordinates from coordinates relative to this window. More...
wxPoint | ConvertDialogToPixels (const wxPoint &pt) const
| Converts a point or size from dialog units to pixels. More...
wxSize | ConvertDialogToPixels (const wxSize &sz) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
wxPoint | ConvertPixelsToDialog (const wxPoint &pt) const
| Converts a point or size from pixels to dialog units. More...
wxSize | ConvertPixelsToDialog (const wxSize &sz) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | ScreenToClient (int *x, int *y) const
| Converts from screen to client window coordinates. More...
wxPoint | ScreenToClient (const wxPoint &pt) const
| Converts from screen to client window coordinates. More...
virtual void | ClearBackground ()
| Clears the window by filling it with the current background colour. More...
void | Freeze ()
| Freezes the window or, in other words, prevents any updates from taking place on screen, the window is not redrawn at all. More...
void | Thaw ()
| Re-enables window updating after a previous call to Freeze(). More...
bool | IsFrozen () const
| Returns true if the window is currently frozen by a call to Freeze(). More...
wxColour | GetBackgroundColour () const
| Returns the background colour of the window. More...
virtual wxBackgroundStyle | GetBackgroundStyle () const
| Returns the background style of the window. More...
virtual int | GetCharHeight () const
| Returns the character height for this window. More...
virtual int | GetCharWidth () const
| Returns the average character width for this window. More...
virtual wxVisualAttributes | GetDefaultAttributes () const
| Currently this is the same as calling wxWindow::GetClassDefaultAttributes(wxWindow::GetWindowVariant()). More...
virtual wxSize | GetDPI () const
| Return the DPI of the display used by this window. More...
wxFont | GetFont () const
| Returns the font for this window. More...
wxColour | GetForegroundColour () const
| Returns the foreground colour of the window. More...
void | GetTextExtent (const wxString &string, int *w, int *h, int *descent=NULL, int *externalLeading=NULL, const wxFont *font=NULL) const
| Gets the dimensions of the string as it would be drawn on the window with the currently selected font. More...
wxSize | GetTextExtent (const wxString &string) const
| Gets the dimensions of the string as it would be drawn on the window with the currently selected font. More...
const wxRegion & | GetUpdateRegion () const
| Returns the region specifying which parts of the window have been damaged. More...
wxRect | GetUpdateClientRect () const
| Get the update rectangle bounding box in client coords. More...
virtual bool | HasTransparentBackground ()
| Returns true if this window background is transparent (as, for example, for wxStaticText) and should show the parent window background. More...
virtual void | Refresh (bool eraseBackground=true, const wxRect *rect=NULL)
| Causes this window, and all of its children recursively, to be repainted. More...
void | RefreshRect (const wxRect &rect, bool eraseBackground=true)
| Redraws the contents of the given rectangle: only the area inside it will be repainted. More...
virtual void | Update ()
| Calling this method immediately repaints the invalidated area of the window and all of its children recursively (this normally only happens when the flow of control returns to the event loop). More...
virtual bool | SetBackgroundColour (const wxColour &colour)
| Sets the background colour of the window. More...
virtual bool | SetBackgroundStyle (wxBackgroundStyle style)
| Sets the background style of the window. More...
virtual bool | IsTransparentBackgroundSupported (wxString *reason=NULL) const
| Checks whether using transparent background might work. More...
virtual bool | SetFont (const wxFont &font)
| Sets the font for this window. More...
virtual bool | SetForegroundColour (const wxColour &colour)
| Sets the foreground colour of the window. More...
void | SetOwnBackgroundColour (const wxColour &colour)
| Sets the background colour of the window but prevents it from being inherited by the children of this window. More...
bool | InheritsBackgroundColour () const
| Return true if this window inherits the background colour from its parent. More...
bool | UseBgCol () const
| Return true if a background colour has been set for this window. More...
bool | UseBackgroundColour () const
| Return true if a background colour has been set for this window. More...
void | SetOwnFont (const wxFont &font)
| Sets the font of the window but prevents it from being inherited by the children of this window. More...
void | SetOwnForegroundColour (const wxColour &colour)
| Sets the foreground colour of the window but prevents it from being inherited by the children of this window. More...
bool | UseForegroundColour () const
| Return true if a foreground colour has been set for this window. More...
bool | InheritsForegroundColour () const
| Return true if this window inherits the foreground colour from its parent. More...
void | SetPalette (const wxPalette &pal)
virtual bool | ShouldInheritColours () const
| Return true from here to allow the colours of this window to be changed by InheritAttributes(). More...
virtual void | SetThemeEnabled (bool enable)
| This function tells a window if it should use the system's "theme" code to draw the windows' background instead of its own background drawing code. More...
virtual bool | GetThemeEnabled () const
| Returns true if the window uses the system theme for drawing its background. More...
virtual bool | CanSetTransparent ()
| Returns true if the system supports transparent windows and calling SetTransparent() may succeed. More...
virtual bool | SetTransparent (wxByte alpha)
| Set the transparency of the window. More...
wxEvtHandler * | GetEventHandler () const
| Returns the event handler for this window. More...
bool | HandleAsNavigationKey (const wxKeyEvent &event)
| This function will generate the appropriate call to Navigate() if the key event is one normally used for keyboard navigation and return true in this case. More...
bool | HandleWindowEvent (wxEvent &event) const
| Shorthand for: More...
bool | ProcessWindowEvent (wxEvent &event)
| Convenient wrapper for ProcessEvent(). More...
bool | ProcessWindowEventLocally (wxEvent &event)
| Wrapper for wxEvtHandler::ProcessEventLocally(). More...
wxEvtHandler * | PopEventHandler (bool deleteHandler=false)
| Removes and returns the top-most event handler on the event handler stack. More...
void | PushEventHandler (wxEvtHandler *handler)
| Pushes this event handler onto the event stack for the window. More...
bool | RemoveEventHandler (wxEvtHandler *handler)
| Find the given handler in the windows event handler stack and removes (but does not delete) it from the stack. More...
void | SetEventHandler (wxEvtHandler *handler)
| Sets the event handler for this window. More...
virtual void | SetNextHandler (wxEvtHandler *handler)
| wxWindows cannot be used to form event handler chains; this function thus will assert when called. More...
virtual void | SetPreviousHandler (wxEvtHandler *handler)
| wxWindows cannot be used to form event handler chains; this function thus will assert when called. More...
long | GetExtraStyle () const
| Returns the extra style bits for the window. More...
virtual long | GetWindowStyleFlag () const
| Gets the window style that was passed to the constructor or Create() method. More...
long | GetWindowStyle () const
| See GetWindowStyleFlag() for more info. More...
bool | HasExtraStyle (int exFlag) const
| Returns true if the window has the given exFlag bit set in its extra styles. More...
bool | HasFlag (int flag) const
| Returns true if the window has the given flag bit set. More...
virtual void | SetExtraStyle (long exStyle)
| Sets the extra style bits for the window. More...
virtual void | SetWindowStyleFlag (long style)
| Sets the style of the window. More...
void | SetWindowStyle (long style)
| See SetWindowStyleFlag() for more info. More...
bool | ToggleWindowStyle (int flag)
| Turns the given flag on if it's currently turned off and vice versa. More...
void | MoveAfterInTabOrder (wxWindow *win)
| Moves this window in the tab navigation order after the specified win. More...
void | MoveBeforeInTabOrder (wxWindow *win)
| Same as MoveAfterInTabOrder() except that it inserts this window just before win instead of putting it right after it. More...
bool | Navigate (int flags=wxNavigationKeyEvent::IsForward)
| Performs a keyboard navigation action starting from this window. More...
bool | NavigateIn (int flags=wxNavigationKeyEvent::IsForward)
| Performs a keyboard navigation action inside this window. More...
virtual void | Lower ()
| Lowers the window to the bottom of the window hierarchy (Z-order). More...
virtual void | Raise ()
| Raises the window to the top of the window hierarchy (Z-order). More...
bool | Hide ()
| Equivalent to calling wxWindow::Show(false). More...
virtual bool | HideWithEffect (wxShowEffect effect, unsigned int timeout=0)
| This function hides a window, like Hide(), but using a special visual effect if possible. More...
bool | IsEnabled () const
| Returns true if the window is enabled, i.e. if it accepts user input, false otherwise. More...
bool | IsExposed (int x, int y) const
| Returns true if the given point or rectangle area has been exposed since the last repaint. More...
bool | IsExposed (wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | IsExposed (int x, int y, int w, int h) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | IsExposed (wxRect &rect) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual bool | IsShown () const
| Returns true if the window is shown, false if it has been hidden. More...
virtual bool | IsShownOnScreen () const
| Returns true if the window is physically visible on the screen, i.e. it is shown and all its parents up to the toplevel window are shown as well. More...
bool | Disable ()
| Disables the window. More...
virtual bool | Enable (bool enable=true)
| Enable or disable the window for user input. More...
virtual bool | Show (bool show=true)
| Shows or hides the window. More...
virtual bool | ShowWithEffect (wxShowEffect effect, unsigned int timeout=0)
| This function shows a window, like Show(), but using a special visual effect if possible. More...
wxString | GetHelpText () const
| Gets the help text to be used as context-sensitive help for this window. More...
void | SetHelpText (const wxString &helpText)
| Sets the help text to be used as context-sensitive help for this window. More...
virtual wxString | GetHelpTextAtPoint (const wxPoint &point, wxHelpEvent::Origin origin) const
| Gets the help text to be used as context-sensitive help for this window. More...
wxToolTip * | GetToolTip () const
| Get the associated tooltip or NULL if none. More...
wxString | GetToolTipText () const
| Get the text of the associated tooltip or empty string if none. More...
void | SetToolTip (const wxString &tipString)
| Attach a tooltip to the window. More...
void | SetToolTip (wxToolTip *tip)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | UnsetToolTip ()
| Unset any existing tooltip. More...
int | GetPopupMenuSelectionFromUser (wxMenu &menu, const wxPoint &pos=wxDefaultPosition)
| This function shows a popup menu at the given position in this window and returns the selected id. More...
int | GetPopupMenuSelectionFromUser (wxMenu &menu, int x, int y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | PopupMenu (wxMenu *menu, const wxPoint &pos=wxDefaultPosition)
| Pops up the given menu at the specified coordinates, relative to this window, and returns control when the user has dismissed the menu. More...
bool | PopupMenu (wxMenu *menu, int x, int y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual wxValidator * | GetValidator ()
| Validator functions. More...
virtual void | SetValidator (const wxValidator &validator)
| Deletes the current validator (if any) and sets the window validator, having called wxValidator::Clone to create a new validator of this type. More...
virtual bool | TransferDataFromWindow ()
| Transfers values from child controls to data areas specified by their validators. More...
virtual bool | TransferDataToWindow ()
| Transfers values to child controls from data areas specified by their validators. More...
virtual bool | Validate ()
| Validates the current values of the child controls using their validators. More...
wxWindowID | GetId () const
| Returns the identifier of the window. More...
virtual wxString | GetLabel () const
| Generic way of getting a label from any window, for identification purposes. More...
virtual wxLayoutDirection | GetLayoutDirection () const
| Returns the layout direction for this window, Note that `wxLayout_Default` is returned if layout direction is not supported. More...
virtual wxCoord | AdjustForLayoutDirection (wxCoord x, wxCoord width, wxCoord widthTotal) const
| Mirror coordinates for RTL layout if this window uses it and if the mirroring is not done automatically like Win32. More...
virtual wxString | GetName () const
| Returns the window's name. More...
wxWindowVariant | GetWindowVariant () const
| Returns the value previously passed to SetWindowVariant(). More...
void | SetId (wxWindowID winid)
| Sets the identifier of the window. More...
virtual void | SetLabel (const wxString &label)
| Sets the window's label. More...
virtual void | SetLayoutDirection (wxLayoutDirection dir)
| Sets the layout direction for this window. More...
virtual void | SetName (const wxString &name)
| Sets the window's name. More...
void | SetWindowVariant (wxWindowVariant variant)
| Chooses a different variant of the window display to use. More...
wxAcceleratorTable * | GetAcceleratorTable ()
| Gets the accelerator table for this window. More...
wxAccessible * | GetAccessible ()
| Returns the accessible object for this window, if any. More...
virtual void | SetAcceleratorTable (const wxAcceleratorTable &accel)
| Sets the accelerator table for this window. More...
void | SetAccessible (wxAccessible *accessible)
| Sets the accessible for this window. More...
virtual wxAccessible * | CreateAccessible ()
| Override to create a specific accessible object. More...
wxAccessible * | GetOrCreateAccessible ()
| Returns the accessible object, calling CreateAccessible if necessary. More...
bool | Close (bool force=false)
| This function simply generates a wxCloseEvent whose handler usually tries to close the window. More...
virtual bool | Destroy ()
| Destroys the window safely. More...
bool | IsBeingDeleted () const
| Returns true if this window is in process of being destroyed. More...
virtual wxDropTarget * | GetDropTarget () const
| Returns the associated drop target, which may be NULL. More...
virtual void | SetDropTarget (wxDropTarget *target)
| Associates a drop target with this window. More...
virtual void | DragAcceptFiles (bool accept)
| Enables or disables eligibility for drop file events (OnDropFiles). More...
wxSizer * | GetContainingSizer () const
| Returns the sizer of which this window is a member, if any, otherwise NULL. More...
wxSizer * | GetSizer () const
| Returns the sizer associated with the window by a previous call to SetSizer(), or NULL. More...
void | SetSizer (wxSizer *sizer, bool deleteOld=true)
| Sets the window to have the given layout sizer. More...
void | SetSizerAndFit (wxSizer *sizer, bool deleteOld=true)
| Associate the sizer with the window and set the window size and minimal size accordingly. More...
wxLayoutConstraints * | GetConstraints () const
| Returns a pointer to the window's layout constraints, or NULL if there are none. More...
void | SetConstraints (wxLayoutConstraints *constraints)
| Sets the window to have the given layout constraints. More...
void | SetAutoLayout (bool autoLayout)
| Determines whether the Layout() function will be called automatically when the window is resized. More...
bool | GetAutoLayout () const
| Returns true if Layout() is called automatically when the window is resized. More...
void | CaptureMouse ()
| Directs all mouse input to this window. More...
wxCaret * | GetCaret () const
| Returns the caret() associated with the window. More...
const wxCursor & | GetCursor () const
| Return the cursor associated with this window. More...
virtual bool | HasCapture () const
| Returns true if this window has the current mouse capture. More...
void | ReleaseMouse ()
| Releases mouse input captured with CaptureMouse(). More...
void | SetCaret (wxCaret *caret)
| Sets the caret() associated with the window. More...
virtual bool | SetCursor (const wxCursor &cursor)
| Sets the window's cursor. More...
virtual void | WarpPointer (int x, int y)
| Moves the pointer to the given position on the window. More...
virtual bool | EnableTouchEvents (int eventsMask)
| Request generation of touch events for this window. More...
wxHitTest | HitTest (wxCoord x, wxCoord y) const
| Return where the given point lies, exactly. More...
wxHitTest | HitTest (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
wxBorder | GetBorder (long flags) const
| Get the window border style from the given flags: this is different from simply doing flags & wxBORDER_MASK because it uses GetDefaultBorder() to translate wxBORDER_DEFAULT to something reasonable. More...
wxBorder | GetBorder () const
| Get border for the flags of this window. More...
virtual void | DoUpdateWindowUI (wxUpdateUIEvent &event)
| Does the window-specific updating after processing the update event. More...
virtual WXWidget | GetHandle () const
| Returns the platform-specific handle of the physical window. More...
virtual bool | HasMultiplePages () const
| This method should be overridden to return true if this window has multiple pages. More...
virtual void | InheritAttributes ()
| This function is (or should be, in case of custom controls) called during window creation to intelligently set up the window visual attributes, that is the font and the foreground and background colours. More...
virtual bool | IsDoubleBuffered () const
| Returns true if the window contents is double-buffered by the system, i.e. if any drawing done on the window is really done on a temporary backing surface and transferred to the screen all at once later. More...
void | SetDoubleBuffered (bool on)
| Turn on or off double buffering of the window if the system supports it. More...
virtual bool | IsRetained () const
| Returns true if the window is retained, false otherwise. More...
bool | IsThisEnabled () const
| Returns true if this window is intrinsically enabled, false otherwise, i.e. if Enable() Enable(false) had been called. More...
virtual bool | IsTopLevel () const
| Returns true if the given window is a top-level one. More...
virtual void | OnInternalIdle ()
| This virtual function is normally only used internally, but sometimes an application may need it to implement functionality that should not be disabled by an application defining an OnIdle handler in a derived class. More...
virtual bool | SendIdleEvents (wxIdleEvent &event)
| Send idle event to window and all subwindows. More...
virtual bool | RegisterHotKey (int hotkeyId, int modifiers, int virtualKeyCode)
| Registers a system wide hotkey. More...
virtual bool | UnregisterHotKey (int hotkeyId)
| Unregisters a system wide hotkey. More...
virtual void | UpdateWindowUI (long flags=wxUPDATE_UI_NONE)
| This function sends one or more wxUpdateUIEvent to the window. More...
bool | BeginRepositioningChildren ()
| Prepare for changing positions of multiple child windows. More...
void | EndRepositioningChildren ()
| Fix child window positions after setting all of them at once. More...
void | CacheBestSize (const wxSize &size) const
| Sets the cached best size value. More...
virtual wxSize | ClientToWindowSize (const wxSize &size) const
| Converts client area size size to corresponding window size. More...
virtual wxSize | WindowToClientSize (const wxSize &size) const
| Converts window size size to corresponding client area size In other words, the returned value is what would GetClientSize() return if this window had given window size. More...
virtual void | Fit ()
| Sizes the window to fit its best size. More...
virtual void | FitInside ()
| Similar to Fit(), but sizes the interior (virtual) size of a window. More...
wxSize | FromDIP (const wxSize &sz) const
| Convert DPI-independent pixel values to the value in pixels appropriate for the current toolkit. More...
wxPoint | FromDIP (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
int | FromDIP (int d) const
| Convert DPI-independent distance in pixels to the value in pixels appropriate for the current toolkit. More...
wxSize | ToDIP (const wxSize &sz) const
| Convert pixel values of the current toolkit to DPI-independent pixel values. More...
wxPoint | ToDIP (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
int | ToDIP (int d) const
| Convert pixel values of the current toolkit to DPI-independent pixel values. More...
wxSize | FromPhys (const wxSize &sz) const
| Convert from physical pixels to logical pixels. More...
wxPoint | FromPhys (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
int | FromPhys (int d) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
wxSize | ToPhys (const wxSize &sz) const
| Convert from logical pixels to physical pixels. More...
wxPoint | ToPhys (const wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
int | ToPhys (int d) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
wxSize | GetBestSize () const
| This functions returns the best acceptable minimal size for the window. More...
int | GetBestHeight (int width) const
| Returns the best height needed by this window if it had the given width. More...
int | GetBestWidth (int height) const
| Returns the best width needed by this window if it had the given height. More...
void | GetClientSize (int *width, int *height) const
| Returns the size of the window 'client area' in pixels. More...
wxSize | GetClientSize () const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual wxSize | GetEffectiveMinSize () const
| Merges the window's best size into the min size and returns the result. More...
virtual wxSize | GetMaxClientSize () const
| Returns the maximum size of window's client area. More...
virtual wxSize | GetMaxSize () const
| Returns the maximum size of the window. More...
virtual wxSize | GetMinClientSize () const
| Returns the minimum size of window's client area, an indication to the sizer layout mechanism that this is the minimum required size of its client area. More...
virtual wxSize | GetMinSize () const
| Returns the minimum size of the window, an indication to the sizer layout mechanism that this is the minimum required size. More...
int | GetMinWidth () const
| Returns the horizontal component of window minimal size. More...
int | GetMinHeight () const
| Returns the vertical component of window minimal size. More...
int | GetMaxWidth () const
| Returns the horizontal component of window maximal size. More...
int | GetMaxHeight () const
| Returns the vertical component of window maximal size. More...
void | GetSize (int *width, int *height) const
| Returns the size of the entire window in pixels, including title bar, border, scrollbars, etc. More...
wxSize | GetSize () const
| See the GetSize(int*,int*) overload for more info. More...
wxSize | GetVirtualSize () const
| This gets the virtual size of the window in pixels. More...
void | GetVirtualSize (int *width, int *height) const
| Like the other GetVirtualSize() overload but uses pointers instead. More...
virtual wxSize | GetBestVirtualSize () const
| Return the largest of ClientSize and BestSize (as determined by a sizer, interior children, or other means) More...
double | GetContentScaleFactor () const
| Returns the factor mapping logical pixels of this window to physical pixels. More...
double | GetDPIScaleFactor () const
| Returns the ratio of the DPI used by this window to the standard DPI. More...
virtual wxSize | GetWindowBorderSize () const
| Returns the size of the left/right and top/bottom borders of this window in x and y components of the result respectively. More...
virtual bool | InformFirstDirection (int direction, int size, int availableOtherDir)
| wxSizer and friends use this to give a chance to a component to recalc its min size once one of the final size components is known. More...
void | InvalidateBestSize ()
| Resets the cached best size value so it will be recalculated the next time it is needed. More...
void | PostSizeEvent ()
| Posts a size event to the window. More...
void | PostSizeEventToParent ()
| Posts a size event to the parent of this window. More...
virtual void | SendSizeEvent (int flags=0)
| This function sends a dummy size event to the window allowing it to re-layout its children positions. More...
void | SendSizeEventToParent (int flags=0)
| Safe wrapper for GetParent()->SendSizeEvent(). More...
void | SetClientSize (int width, int height)
| This sets the size of the window client area in pixels. More...
void | SetClientSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetClientSize (const wxRect &rect)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetContainingSizer (wxSizer *sizer)
| Used by wxSizer internally to notify the window about being managed by the given sizer. More...
void | SetInitialSize (const wxSize &size=wxDefaultSize)
| A smart SetSize that will fill in default size components with the window's best size values. More...
virtual void | SetMaxClientSize (const wxSize &size)
| Sets the maximum client size of the window, to indicate to the sizer layout mechanism that this is the maximum possible size of its client area. More...
virtual void | SetMaxSize (const wxSize &size)
| Sets the maximum size of the window, to indicate to the sizer layout mechanism that this is the maximum possible size. More...
virtual void | SetMinClientSize (const wxSize &size)
| Sets the minimum client size of the window, to indicate to the sizer layout mechanism that this is the minimum required size of window's client area. More...
virtual void | SetMinSize (const wxSize &size)
| Sets the minimum size of the window, to indicate to the sizer layout mechanism that this is the minimum required size. More...
void | SetSize (int x, int y, int width, int height, int sizeFlags=wxSIZE_AUTO)
| Sets the size of the window in pixels. More...
void | SetSize (const wxRect &rect)
| Sets the size of the window in pixels. More...
void | SetSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetSize (int width, int height)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual void | SetSizeHints (const wxSize &minSize, const wxSize &maxSize=wxDefaultSize, const wxSize &incSize=wxDefaultSize)
| Use of this function for windows which are not toplevel windows (such as wxDialog or wxFrame) is discouraged. More...
virtual void | SetSizeHints (int minW, int minH, int maxW=-1, int maxH=-1, int incW=-1, int incH=-1)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetVirtualSize (int width, int height)
| Sets the virtual size of the window in pixels. More...
void | SetVirtualSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Public Member Functions inherited from wxEvtHandler
| wxEvtHandler ()
| Constructor. More...
virtual | ~wxEvtHandler ()
| Destructor. More...
template<typename T , typename T1 , ... >
void | CallAfter (void(T::*method)(T1,...), T1 x1,...)
| Asynchronously call the given method. More...
template<typename T >
void | CallAfter (const T &functor)
| Asynchronously call the given functor. More...
bool | ProcessEventLocally (wxEvent &event)
| Try to process the event in this handler and all those chained to it. More...
bool | SafelyProcessEvent (wxEvent &event)
| Processes an event by calling ProcessEvent() and handles any exceptions that occur in the process. More...
void | ProcessPendingEvents ()
| Processes the pending events previously queued using QueueEvent() or AddPendingEvent(); you must call this function only if you are sure there are pending events for this handler, otherwise a `wxCHECK` will fail. More...
void | DeletePendingEvents ()
| Deletes all events queued on this event handler using QueueEvent() or AddPendingEvent(). More...
void | Connect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Connects the given function dynamically with the event handler, id and event type. More...
void | Connect (int id, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
void | Connect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
bool | Disconnect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Disconnects the given function dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed. More...
bool | Disconnect (int id=wxID_ANY, wxEventType eventType=wxEVT_NULL, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
bool | Disconnect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
template<typename EventTag , typename Functor >
void | Bind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Binds the given function, functor or method dynamically with the event. More...
template<typename EventTag , typename Class , typename EventArg , typename EventHandler >
void | Bind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Bind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info. More...
template<typename EventTag , typename Functor >
bool | Unbind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Unbinds the given function, functor or method dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed. More...
template<typename EventTag , typename Class , typename EventArg , typename EventHandler >
bool | Unbind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Unbind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info. More...
void * | GetClientData () const
| Returns user-supplied client data. More...
wxClientData * | GetClientObject () const
| Returns a pointer to the user-supplied client data object. More...
void | SetClientData (void *data)
| Sets user-supplied client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
bool | GetEvtHandlerEnabled () const
| Returns true if the event handler is enabled, false otherwise. More...
wxEvtHandler * | GetNextHandler () const
| Returns the pointer to the next handler in the chain. More...
wxEvtHandler * | GetPreviousHandler () const
| Returns the pointer to the previous handler in the chain. More...
void | SetEvtHandlerEnabled (bool enabled)
| Enables or disables the event handler. More...
void | Unlink ()
| Unlinks this event handler from the chain it's part of (if any); then links the "previous" event handler to the "next" one (so that the chain won't be interrupted). More...
bool | IsUnlinked () const
| Returns true if the next and the previous handler pointers of this event handler instance are NULL. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
Public Member Functions inherited from wxPropertyGridInterface
virtual | ~wxPropertyGridInterface ()
| Destructor. More...
wxPGProperty * | Append (wxPGProperty *property)
| Appends property to the list. More...
wxPGProperty * | AppendIn (wxPGPropArg id, wxPGProperty *newProperty)
| Same as Append(), but appends under given parent property. More...
void | BeginAddChildren (wxPGPropArg id)
| In order to add new items into a property with private children (for instance, wxFlagsProperty), you need to call this method. More...
bool | ClearSelection (bool validation=false)
| Clears current selection, if any. More...
void | ClearModifiedStatus ()
| Resets modified status of all properties. More...
bool | Collapse (wxPGPropArg id)
| Collapses given category or property with children. More...
bool | CollapseAll ()
| Collapses all items that can be collapsed. More...
bool | ChangePropertyValue (wxPGPropArg id, wxVariant newValue)
| Changes value of a property, as if by user. More...
void | DeleteProperty (wxPGPropArg id)
| Removes and deletes a property and any children. More...
bool | DisableProperty (wxPGPropArg id)
| Disables a property. More...
bool | EditorValidate ()
| Returns true if all property grid data changes have been committed. More...
bool | EnableProperty (wxPGPropArg id, bool enable=true)
| Enables or disables property. More...
void | EndAddChildren (wxPGPropArg id)
| Called after population of property with fixed children has finished. More...
bool | Expand (wxPGPropArg id)
| Expands given category or property with children. More...
bool | ExpandAll (bool expand=true)
| Expands all items that can be expanded. More...
int | GetColumnProportion (unsigned int column) const
| Returns auto-resize proportion of the given column. More...
wxPGProperty * | GetFirstChild (wxPGPropArg id)
| Returns id of first child of given property. More...
wxPropertyGridIterator | GetIterator (int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *firstProp=NULL)
| Returns iterator class instance. More...
wxPropertyGridConstIterator | GetIterator (int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *firstProp=NULL) const
wxPropertyGridIterator | GetIterator (int flags, int startPos)
| Returns iterator class instance. More...
wxPropertyGridConstIterator | GetIterator (int flags, int startPos) const
wxPGProperty * | GetFirst (int flags=wxPG_ITERATE_ALL)
| Returns id of first item that matches given criteria. More...
const wxPGProperty * | GetFirst (int flags=wxPG_ITERATE_ALL) const
wxPGProperty * | GetProperty (const wxString &name) const
| Returns pointer to a property with given name (case-sensitive). More...
void | GetPropertiesWithFlag (wxArrayPGProperty *targetArr, wxPGProperty::FlagType flags, bool inverse=false, int iterFlags=(wxPG_ITERATE_PROPERTIES|wxPG_ITERATE_HIDDEN|wxPG_ITERATE_CATEGORIES)) const
| Adds to targetArr pointers to properties that have given flags set. More...
wxVariant | GetPropertyAttribute (wxPGPropArg id, const wxString &attrName) const
| Returns value of given attribute. More...
const wxPGAttributeStorage & | GetPropertyAttributes (wxPGPropArg id) const
| Returns map-like storage of property's attributes. More...
wxColour | GetPropertyBackgroundColour (wxPGPropArg id) const
| Returns background colour of first cell of a property. More...
wxPropertyCategory * | GetPropertyCategory (wxPGPropArg id) const
| Returns pointer of property's nearest parent category. More...
void * | GetPropertyClientData (wxPGPropArg id) const
| Returns client data (void*) of a property. More...
wxPGProperty * | GetPropertyByLabel (const wxString &label) const
| Returns first property which label matches given string. More...
wxPGProperty * | GetPropertyByName (const wxString &name) const
| Returns pointer to a property with given name (case-sensitive). More...
wxPGProperty * | GetPropertyByName (const wxString &name, const wxString &subname) const
| Returns child property subname of property name. More...
const wxPGEditor * | GetPropertyEditor (wxPGPropArg id) const
| Returns property's editor. More...
wxString | GetPropertyHelpString (wxPGPropArg id) const
| Returns help string associated with a property. More...
wxBitmap * | GetPropertyImage (wxPGPropArg id) const
| Returns property's custom value image (NULL of none). More...
const wxString & | GetPropertyLabel (wxPGPropArg id)
| Returns label of a property. More...
wxString | GetPropertyName (wxPGProperty *property)
| Returns property's name, by which it is globally accessible. More...
wxPGProperty * | GetPropertyParent (wxPGPropArg id)
| Returns parent item of a property. More...
wxColour | GetPropertyTextColour (wxPGPropArg id) const
| Returns text colour of first cell of a property. More...
wxValidator * | GetPropertyValidator (wxPGPropArg id)
| Returns validator of a property as a reference, which you can pass to any number of SetPropertyValidator. More...
wxVariant | GetPropertyValue (wxPGPropArg id)
| Returns property's value as wxVariant. More...
wxArrayInt | GetPropertyValueAsArrayInt (wxPGPropArg id) const
| Return's property's value as wxArrayInt. More...
wxArrayString | GetPropertyValueAsArrayString (wxPGPropArg id) const
| Returns property's value as wxArrayString. More...
bool | GetPropertyValueAsBool (wxPGPropArg id) const
| Returns property's value as bool. More...
wxDateTime | GetPropertyValueAsDateTime (wxPGPropArg id) const
| Return's property's value as wxDateTime. More...
double | GetPropertyValueAsDouble (wxPGPropArg id) const
| Returns property's value as double-precision floating point number. More...
int | GetPropertyValueAsInt (wxPGPropArg id) const
| Returns property's value as integer. More...
long | GetPropertyValueAsLong (wxPGPropArg id) const
| Returns property's value as integer. More...
wxLongLong_t | GetPropertyValueAsLongLong (wxPGPropArg id) const
| Returns property's value as native signed 64-bit integer. More...
wxString | GetPropertyValueAsString (wxPGPropArg id) const
| Returns property's value as wxString. More...
unsigned long | GetPropertyValueAsULong (wxPGPropArg id) const
| Returns property's value as unsigned integer. More...
wxULongLong_t | GetPropertyValueAsULongLong (wxPGPropArg id) const
| Returns property's value as native unsigned 64-bit integer. More...
wxVariant | GetPropertyValues (const wxString &listname=wxEmptyString, wxPGProperty *baseparent=NULL, long flags=0) const
| Returns a wxVariant list containing wxVariant versions of all property values. More...
const wxArrayPGProperty & | GetSelectedProperties () const
| Returns list of currently selected properties. More...
wxPGProperty * | GetSelection () const
| Returns currently selected property. More...
bool | HideProperty (wxPGPropArg id, bool hide=true, int flags=wxPG_RECURSE)
| Hides or reveals a property. More...
wxPGProperty * | Insert (wxPGPropArg priorThis, wxPGProperty *newProperty)
| Inserts property to the property container. More...
wxPGProperty * | Insert (wxPGPropArg parent, int index, wxPGProperty *newProperty)
| Inserts property to the property container. More...
bool | IsPropertyCategory (wxPGPropArg id) const
| Returns true if property is a category. More...
bool | IsPropertyEnabled (wxPGPropArg id) const
| Returns true if property is enabled. More...
bool | IsPropertyExpanded (wxPGPropArg id) const
| Returns true if given property is expanded. More...
bool | IsPropertyModified (wxPGPropArg id) const
| Returns true if property has been modified after value set or modify flag clear by software. More...
bool | IsPropertySelected (wxPGPropArg id) const
| Returns true if property is selected. More...
bool | IsPropertyShown (wxPGPropArg id) const
| Returns true if property is shown (i.e. More...
bool | IsPropertyValueUnspecified (wxPGPropArg id) const
| Returns true if property value is set to unspecified. More...
void | LimitPropertyEditing (wxPGPropArg id, bool limit=true)
| Disables (limit = true) or enables (limit = false) wxTextCtrl editor of a property, if it is not the sole mean to edit the value. More...
virtual void | RefreshGrid (wxPropertyGridPageState *state=NULL)
| If state is shown in its grid, refresh it now. More...
wxPGProperty * | RemoveProperty (wxPGPropArg id)
| Removes a property. More...
wxPGProperty * | ReplaceProperty (wxPGPropArg id, wxPGProperty *property)
| Replaces property with id with newly created one. More...
bool | RestoreEditableState (const wxString &src, int restoreStates=AllStates)
| Restores user-editable state. More...
wxString | SaveEditableState (int includedStates=AllStates) const
| Used to acquire user-editable state (selected property, expanded properties, scrolled position, splitter positions). More...
bool | SetColumnProportion (unsigned int column, int proportion)
| Set proportion of an auto-stretchable column. More...
void | SetPropertyAttribute (wxPGPropArg id, const wxString &attrName, wxVariant value, long argFlags=0)
| Sets an attribute for this property. More...
void | SetPropertyAttributeAll (const wxString &attrName, wxVariant value)
| Sets property attribute for all applicable properties. More...
void | SetPropertyBackgroundColour (wxPGPropArg id, const wxColour &colour, int flags=wxPG_RECURSE)
| Sets background colour of given property. More...
void | SetPropertyCell (wxPGPropArg id, int column, const wxString &text=wxEmptyString, const wxBitmapBundle &bitmap=wxBitmapBundle(), const wxColour &fgCol=wxNullColour, const wxColour &bgCol=wxNullColour)
| Sets text, bitmap, and colours for given column's cell. More...
void | SetPropertyClientData (wxPGPropArg id, void *clientData)
| Sets client data (void*) of a property. More...
void | SetPropertyColoursToDefault (wxPGPropArg id, int flags=wxPG_DONT_RECURSE)
| Resets text and background colours of given property. More...
void | SetPropertyEditor (wxPGPropArg id, const wxPGEditor *editor)
| Sets editor for a property. More...
void | SetPropertyEditor (wxPGPropArg id, const wxString &editorName)
| Sets editor control of a property. More...
void | SetPropertyLabel (wxPGPropArg id, const wxString &newproplabel)
| Sets label of a property. More...
void | SetPropertyName (wxPGPropArg id, const wxString &newName)
| Sets name of a property. More...
void | SetPropertyReadOnly (wxPGPropArg id, bool set=true, int flags=wxPG_RECURSE)
| Sets property (and, recursively, its children) to have read-only value. More...
void | SetPropertyValueUnspecified (wxPGPropArg id)
| Sets property's value to unspecified. More...
void | SetPropertyValues (const wxVariantList &list, wxPGPropArg defaultCategory=wxNullProperty)
| Sets property values from a list of wxVariants. More...
void | SetPropertyValues (const wxVariant &list, wxPGPropArg defaultCategory=wxNullProperty)
| Sets property values from a list of wxVariants. More...
void | SetPropertyHelpString (wxPGPropArg id, const wxString &helpString)
| Associates the help string with property. More...
void | SetPropertyImage (wxPGPropArg id, wxBitmapBundle &bmp)
| Set wxBitmap taken from wxBitmapBundle in front of the value. More...
bool | SetPropertyMaxLength (wxPGPropArg id, int maxLen)
| Sets maximum length of text in property text editor. More...
void | SetPropertyTextColour (wxPGPropArg id, const wxColour &colour, int flags=wxPG_RECURSE)
| Sets text colour of given property. More...
void | SetPropertyValidator (wxPGPropArg id, const wxValidator &validator)
| Sets validator of a property. More...
void | SetPropertyValue (wxPGPropArg id, long value)
| Sets value (long integer) of a property. More...
void | SetPropertyValue (wxPGPropArg id, int value)
| Sets value (integer) of a property. More...
void | SetPropertyValue (wxPGPropArg id, double value)
| Sets value (floating point) of a property. More...
void | SetPropertyValue (wxPGPropArg id, bool value)
| Sets value (bool) of a property. More...
void | SetPropertyValue (wxPGPropArg id, const wchar_t *value)
| Sets value (wchar_t*) of a property. More...
void | SetPropertyValue (wxPGPropArg id, const char *value)
| Sets value (char*) of a property. More...
void | SetPropertyValue (wxPGPropArg id, const wxString &value)
| Sets value (string) of a property. More...
void | SetPropertyValue (wxPGPropArg id, const wxArrayString &value)
| Sets value (wxArrayString) of a property. More...
void | SetPropertyValue (wxPGPropArg id, const wxDateTime &value)
| Sets value (wxDateTime) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxObject *value)
| Sets value (wxObject*) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxObject &value)
| Sets value (wxObject&) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxLongLong_t value)
| Sets value (native 64-bit int) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxLongLong value)
| Sets value (wxLongLong) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxULongLong_t value)
| Sets value (native 64-bit unsigned int) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxULongLong value)
| Sets value (wxULongLong) of a property. More...
void | SetPropertyValue (wxPGPropArg id, const wxArrayInt &value)
| Sets value (wxArrayInt&) of a property. More...
void | SetPropertyValueString (wxPGPropArg id, const wxString &value)
| Sets value (wxString) of a property. More...
void | SetPropertyValue (wxPGPropArg id, wxVariant value)
| Sets value (wxVariant) of a property. More...
void | SetPropVal (wxPGPropArg id, wxVariant &value)
| Sets value (wxVariant&) of a property. More...
void | SetValidationFailureBehavior (int vfbFlags)
| Adjusts how wxPropertyGrid behaves when invalid value is entered in a property. More...
void | Sort (int flags=0)
| Sorts all properties recursively. More...
void | SortChildren (wxPGPropArg id, int flags=0)
| Sorts children of a property. More...
wxPGProperty * | GetPropertyByNameA (const wxString &name) const
| GetPropertyByName() with assertion error message. More...
virtual void | RefreshProperty (wxPGProperty *p)=0

## Protected Member Functions
virtual wxPropertyGrid * | CreatePropertyGrid () const
| Creates property grid for the manager. More...
Protected Member Functions inherited from wxWindow
virtual void | DoCentre (int direction)
| Centres the window. More...
virtual wxSize | DoGetBestSize () const
| Implementation of GetBestSize() that can be overridden. More...
virtual wxSize | DoGetBestClientSize () const
| Override this method to return the best size for a custom control. More...
virtual int | DoGetBestClientHeight (int width) const
| Override this method to implement height-for-width best size calculation. More...
virtual int | DoGetBestClientWidth (int height) const
| Override this method to implement width-for-height best size calculation. More...
virtual void | SetInitialBestSize (const wxSize &size)
| Sets the initial window size if none is given (i.e. at least one of the components of the size passed to ctor/Create() is wxDefaultCoord). More...
void | SendDestroyEvent ()
| Generate wxWindowDestroyEvent for this window. More...
virtual bool | ProcessEvent (wxEvent &event)
| This function is public in wxEvtHandler but protected in wxWindow because for wxWindows you should always call ProcessEvent() on the pointer returned by GetEventHandler() and not on the wxWindow object itself. More...
bool | SafelyProcessEvent (wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
virtual void | QueueEvent (wxEvent *event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
virtual void | AddPendingEvent (const wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
void | ProcessPendingEvents ()
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
bool | ProcessThreadEvent (const wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
Protected Member Functions inherited from wxEvtHandler
virtual bool | TryBefore (wxEvent &event)
| Method called by ProcessEvent() before examining this object event tables. More...
virtual bool | TryAfter (wxEvent &event)
| Method called by ProcessEvent() as last resort. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...

## Additional Inherited Members
Public Types inherited from wxPropertyGridInterface
enum | EditableStateFlags { SelectionState , ExpandedState , ScrollPosState , PageState , SplitterPosState , DescBoxState , AllStates }
| More...
Static Public Member Functions inherited from wxWindow
static wxVisualAttributes | GetClassDefaultAttributes (wxWindowVariant variant=wxWINDOW_VARIANT_NORMAL)
| Returns the default font and colours which are used by the control. More...
static wxWindow * | FindFocus ()
| Finds the window or control which currently has the keyboard focus. More...
static wxWindow * | FindWindowById (long id, const wxWindow *parent=0)
| Find the first window with the given id. More...
static wxWindow * | FindWindowByLabel (const wxString &label, const wxWindow *parent=0)
| Find a window by its label. More...
static wxWindow * | FindWindowByName (const wxString &name, const wxWindow *parent=0)
| Find a window by its name (as given in a window constructor or Create() function call). More...
static wxWindow * | GetCapture ()
| Returns the currently captured window. More...
static wxWindowID | NewControlId (int count=1)
| Create a new ID or range of IDs that are not currently in use. More...
static void | UnreserveControlId (wxWindowID id, int count=1)
| Unreserve an ID or range of IDs that was reserved by NewControlId(). More...
static wxSize | FromDIP (const wxSize &sz, const wxWindow *w)
| Non window-specific DPI-independent pixels conversion functions. More...
static wxPoint | FromDIP (const wxPoint &pt, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static int | FromDIP (int d, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static wxSize | ToDIP (const wxSize &sz, const wxWindow *w)
| Non window-specific pixel to DPI-independent pixels conversion functions. More...
static wxPoint | ToDIP (const wxPoint &pt, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static int | ToDIP (int d, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static wxSize | FromPhys (const wxSize &sz, const wxWindow *w)
| Convert from physical pixels to logical pixels for any window. More...
static wxPoint | FromPhys (const wxPoint &pt, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static int | FromPhys (int d, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static wxSize | ToPhys (const wxSize &sz, const wxWindow *w)
| Convert from logical pixels to physical pixels for any window. More...
static wxPoint | ToPhys (const wxPoint &pt, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
static int | ToPhys (int d, const wxWindow *w)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
Static Public Member Functions inherited from wxEvtHandler
static void | AddFilter (wxEventFilter *filter)
| Add an event filter whose FilterEvent() method will be called for each and every event processed by wxWidgets. More...
static void | RemoveFilter (wxEventFilter *filter)
| Remove a filter previously installed with AddFilter(). More...
Static Public Member Functions inherited from wxPropertyGridInterface
static void | InitAllTypeHandlers ()
| Initializes all property types. More...
static void | RegisterAdditionalEditors ()
| Initializes additional property editors (SpinCtrl etc.). More...
static void | SetBoolChoices (const wxString &trueChoice, const wxString &falseChoice)
| Sets strings listed in the choice dropdown of a wxBoolProperty. More...
static wxPGEditor * | GetEditorByName (const wxString &editorName)
| Returns editor pointer of editor with given name. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPropertyGridManager() [1/2]

wxPropertyGridManager::wxPropertyGridManager | ( |  | ) |

Two step constructor.

Call Create when this constructor is called to build up the wxPropertyGridManager.

## ◆ wxPropertyGridManager() [2/2]

wxPropertyGridManager::wxPropertyGridManager | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxPGMAN_DEFAULT_STYLE`,
|  | const wxString & | name = `wxPropertyGridManagerNameStr`
| ) |  |

The default constructor.

The styles to be used are styles valid for the wxWindow.

See also
  wxPropertyGrid Window Styles

## ◆ ~wxPropertyGridManager()

virtual wxPropertyGridManager::~wxPropertyGridManager | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ AddPage()

wxPropertyGridPage* wxPropertyGridManager::AddPage | ( | const wxString & | label = `wxEmptyString`,
|  | const wxBitmapBundle & | bmp = `wxBitmapBundle()`,
|  | wxPropertyGridPage * | pageObj = `NULL`
| ) |  |

Creates new property page.

Note that the first page is not created automatically.

Parameters

  label | A label for the page. This may be shown as a toolbar tooltip etc.
  bmp | Bitmap bundle for toolbar image. If the bundle is empty, then a built-in default bitmap bundle is used.
  pageObj | wxPropertyGridPage instance. Manager will take ownership of this object. NULL indicates that a default page instance should be created.

Returns
  Returns pointer to created property grid page.

Remarks
  If toolbar is used, it is highly recommended that the pages are added when the toolbar is not turned off using window style flag switching. Otherwise toolbar buttons might not be added properly.

## ◆ Clear()

virtual void wxPropertyGridManager::Clear | ( |  | ) |
| virtual

Deletes all properties and all pages.

Implements wxPropertyGridInterface.

## ◆ ClearPage()

void wxPropertyGridManager::ClearPage | ( | int | page | ) |

Deletes all properties on given page.

## ◆ CommitChangesFromEditor()

bool wxPropertyGridManager::CommitChangesFromEditor | ( | wxUint32 | flags = `0` | ) |

Forces updating the value of property from the editor control.

Returns
  Returns true if value was actually updated.

## ◆ Create()

bool wxPropertyGridManager::Create | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxPGMAN_DEFAULT_STYLE`,
|  | const wxString & | name = `wxPropertyGridManagerNameStr`
| ) |  |

Two step creation.

Whenever the control is created without any parameters, use Create to actually create it. Don't access the control's public methods before this is called.

See also
  wxPropertyGrid Window Styles

## ◆ CreatePropertyGrid()

virtual wxPropertyGrid* wxPropertyGridManager::CreatePropertyGrid | ( |  | ) | const
| protectedvirtual

Creates property grid for the manager.

Reimplement in derived class to use subclassed wxPropertyGrid. However, if you do this then you must also use the two-step construction (i.e. default constructor and Create() instead of constructor with arguments) when creating the manager.

## ◆ EnableCategories()

bool wxPropertyGridManager::EnableCategories | ( | bool | enable | ) |

Enables or disables (shows/hides) categories according to parameter enable.

Remarks
  Calling this may not properly update toolbar buttons.

## ◆ EnsureVisible()

bool wxPropertyGridManager::EnsureVisible | ( | wxPGPropArg | id | ) |

Selects page, scrolls and/or expands items to ensure that the given item is visible.

Returns
  Returns true if something was actually done.

## ◆ GetColumnCount()

int wxPropertyGridManager::GetColumnCount | ( | int | page = `-1` | ) | const

Returns number of columns on given page.

By the default, returns number of columns on current page.

## ◆ GetCurrentPage()

wxPropertyGridPage* wxPropertyGridManager::GetCurrentPage | ( |  | ) | const

Returns currently selected page.

## ◆ GetDescBoxHeight()

int wxPropertyGridManager::GetDescBoxHeight | ( |  | ) | const

Returns height of the description text box.

## ◆ GetGrid()

wxPropertyGrid* wxPropertyGridManager::GetGrid | ( |  | ) |

Returns pointer to the contained wxPropertyGrid.

This does not change after wxPropertyGridManager has been created, so you can safely obtain pointer once and use it for the entire lifetime of the manager instance.

## ◆ GetPage() [1/2]

wxPropertyGridPage* wxPropertyGridManager::GetPage | ( | const wxString & | name | ) | const

Returns page object for given page name.

## ◆ GetPage() [2/2]

wxPropertyGridPage* wxPropertyGridManager::GetPage | ( | unsigned int | ind | ) | const

Returns page object for given page index.

## ◆ GetPageByName()

int wxPropertyGridManager::GetPageByName | ( | const wxString & | name | ) | const

Returns index for a page name.

If no match is found, wxNOT_FOUND is returned.

## ◆ GetPageByState()

int wxPropertyGridManager::GetPageByState | ( | const wxPropertyGridPageState * | pstate | ) | const

Returns index for a relevant propertygrid state.

If no match is found, wxNOT_FOUND is returned.

## ◆ GetPageCount()

size_t wxPropertyGridManager::GetPageCount | ( |  | ) | const

Returns number of managed pages.

## ◆ GetPageName()

const wxString& wxPropertyGridManager::GetPageName | ( | int | index | ) | const

Returns name of given page.

## ◆ GetPageRoot()

wxPGProperty* wxPropertyGridManager::GetPageRoot | ( | int | index | ) | const

Returns "root property" of the given page.

It does not have name, etc. and it is not visible. It is only useful for accessing its children.

## ◆ GetSelectedPage()

int wxPropertyGridManager::GetSelectedPage | ( |  | ) | const

Returns index to currently selected page.

## ◆ GetSelectedProperty()

wxPGProperty* wxPropertyGridManager::GetSelectedProperty | ( |  | ) | const

Alias for GetSelection().

## ◆ GetSelection()

wxPGProperty* wxPropertyGridManager::GetSelection | ( |  | ) | const

Shortcut for GetGrid()->GetSelection().

## ◆ GetToolBar()

wxToolBar* wxPropertyGridManager::GetToolBar | ( |  | ) | const

Returns a pointer to the toolbar currently associated with the wxPropertyGridManager (if any).

## ◆ GetVIterator()

virtual wxPGVIterator wxPropertyGridManager::GetVIterator | ( | int | flags | ) | const
| virtual

Similar to GetIterator(), but instead returns wxPGVIterator instance, which can be useful for forward-iterating through arbitrary property containers.

Reimplemented from wxPropertyGridInterface.

## ◆ InsertPage()

virtual wxPropertyGridPage* wxPropertyGridManager::InsertPage | ( | int | index,
|  | const wxString & | label,
|  | const wxBitmapBundle & | bmp = `wxBitmapBundle()`,
|  | wxPropertyGridPage * | pageObj = `NULL`
| ) |  |
| virtual

Creates new property page.

Note that the first page is not created automatically.

Parameters

  index | Add to this position. -1 will add as the last item.
  label | A label for the page. This may be shown as a toolbar tooltip etc.
  bmp | Bitmap bundle for toolbar image. If the bundle is empty, then a built-in default bitmap bundle is used.
  pageObj | wxPropertyGridPage instance. Manager will take ownership of this object. If NULL, default page object is constructed.

Returns
  Returns pointer to created page.

## ◆ IsAnyModified()

bool wxPropertyGridManager::IsAnyModified | ( |  | ) | const

Returns true if any property on any page has been modified by the user.

## ◆ IsPageModified()

bool wxPropertyGridManager::IsPageModified | ( | size_t | index | ) | const

Returns true if any property on given page has been modified by the user.

## ◆ IsPropertySelected()

virtual bool wxPropertyGridManager::IsPropertySelected | ( | wxPGPropArg | id | ) | const
| virtual

Returns true if property is selected.

Since selection is page based, this function checks every page in the manager.

## ◆ RemovePage()

virtual bool wxPropertyGridManager::RemovePage | ( | int | page | ) |
| virtual

Removes a page.

Returns
  Returns false if it was not possible to remove page in question.

## ◆ SelectPage() [1/3]

void wxPropertyGridManager::SelectPage | ( | const wxString & | label | ) |

Select and displays a given page (by label).

## ◆ SelectPage() [2/3]

void wxPropertyGridManager::SelectPage | ( | int | index | ) |

Select and displays a given page.

Parameters

  index | Index of page being selected. Can be -1 to select nothing.

## ◆ SelectPage() [3/3]

void wxPropertyGridManager::SelectPage | ( | wxPropertyGridPage * | page | ) |

Select and displays a given page.

## ◆ SelectProperty()

bool wxPropertyGridManager::SelectProperty | ( | wxPGPropArg | id,
|  | bool | focus = `false`
| ) |  |

Select a property.

See also
  wxPropertyGrid::SelectProperty(), wxPropertyGridInterface::ClearSelection()

## ◆ SetColumnCount()

void wxPropertyGridManager::SetColumnCount | ( | int | colCount,
|  | int | page = `-1`
| ) |  |

Sets number of columns on given page (default is current page).

Remarks
  If you use header, then you should always use this member function to set the column count, instead of ones present in wxPropertyGrid or wxPropertyGridPage.

## ◆ SetColumnTitle()

void wxPropertyGridManager::SetColumnTitle | ( | int | idx,
|  | const wxString & | title
| ) |  |

Sets a column title.

Default title for column 0 is "Property", and "Value" for column 1.

Remarks
  If header is not shown yet, then calling this member function will make it visible.

## ◆ SetDescBoxHeight()

void wxPropertyGridManager::SetDescBoxHeight | ( | int | ht,
|  | bool | refresh = `true`
| ) |  |

Sets y coordinate of the description box splitter.

## ◆ SetDescription()

void wxPropertyGridManager::SetDescription | ( | const wxString & | label,
|  | const wxString & | content
| ) |  |

Sets label and text in description box.

## ◆ SetPageSplitterLeft()

void wxPropertyGridManager::SetPageSplitterLeft | ( | int | page,
|  | bool | subProps = `false`
| ) |  |

Moves splitter as left as possible on an individual page, while still allowing all labels to be shown in full.

## ◆ SetPageSplitterPosition()

void wxPropertyGridManager::SetPageSplitterPosition | ( | int | page,
|  | int | pos,
|  | int | column = `0`
| ) |  |

Sets splitter position on individual page.

Remarks
  If you use header, then you should always use this member function to set the splitter position, instead of ones present in wxPropertyGrid or wxPropertyGridPage.

## ◆ SetSplitterLeft()

void wxPropertyGridManager::SetSplitterLeft | ( | bool | subProps = `false`,
|  | bool | allPages = `true`
| ) |  |

Moves splitter as left as possible, while still allowing all labels to be shown in full.

Parameters

  subProps | If false, will still allow sub-properties (i.e. properties which parent is not root or category) to be cropped.
  allPages | If true, takes labels on all pages into account.

## ◆ SetSplitterPosition()

void wxPropertyGridManager::SetSplitterPosition | ( | int | pos,
|  | int | column = `0`
| ) |  |

Sets splitter position for all pages.

Remarks
  Splitter position cannot exceed grid size, and therefore setting it during form creation may fail as initial grid size is often smaller than desired splitter position, especially when sizers are being used.

If you use header, then you should always use this member function to set the splitter position, instead of ones present in wxPropertyGrid or wxPropertyGridPage.

## ◆ ShowHeader()

void wxPropertyGridManager::ShowHeader | ( | bool | show = `true` | ) |

Show or hide the property grid header control.

It is hidden by the default.

Remarks
  Grid may look better if you use wxPG_NO_INTERNAL_BORDER window style when showing a header.